For the complete documentation index, see llms.txt. This page is also available as Markdown.

Product

Scrape IndiaMART product pages by product ID.

The indiamart_product source is designed to retrieve IndiaMART product pages. The API returns the HTML for any IndiaMART product you like.

Request samples

The samples below illustrate how you can get IndiaMART product page.

curl 'https://realtime.oxylabs.io/v1/queries' \
--user 'USERNAME:PASSWORD' \
-H 'Content-Type: application/json' \
-d '{
        "source": "indiamart_product",
        "product_id": "18570296288"
    }'
import requests
from pprint import pprint


# Structure payload.
payload = {
    'source': 'indiamart_product',
    'product_id': '18570296288'
}

# Get response.
response = requests.request(
    'POST',
    'https://realtime.oxylabs.io/v1/queries',
    auth=('USERNAME', 'PASSWORD'),
    json=payload
)

# Instead of response with job status and results url, this will return the
# JSON response with the result.
pprint(response.json())

We use synchronous Realtime integration method in our examples. If you would like to use Proxy Endpoint or asynchronous Push-Pull integration, refer to the integration methods section.

Request parameter values

Generic

Parameter
Description
Default Value

source

Sets the scraper.

indiamart_product

product_id

A unique IndiaMART product ID.

-

render

Enables JavaScript rendering when set to html. More info.

-

callback_url

URL to your callback endpoint. More info

-

user_agent_type

Device type and browser. The full list can be found here.

desktop

- mandatory parameter

Last updated

Was this helpful?